/*#########################################################################
#                                                                         #
#   Simple script for testing the scriptable service browser              #
#   by creating a simple static browser with some cool radio              #
#   streams. URLs shamelessly stolen from Cool-Streams.xml.               #
#                                                                         #
#   Copyright                                                             #
#   (C) 2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>        #
#   (C)       2008 Peter ZHOU <peterzhoulei@gmail.com>                    #
#   (C)       2008 Mark Kretschmann <kretschmann@kde.org>                 #
#   (C)       2008 Georges Dubus <georges.dubus@supelec.fr>               #
#   (C)       2009 Ronny Yabar Aizcorbe <ronnycontacto@gmail.com>                   #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

Importer.loadQtBinding("qt.core");
Importer.loadQtBinding("qt.gui");

function Station( name, url, website, logo, artist )
{
    this.name = name;
    this.url = url;
    this.website = website;
    this.logo = logo;
    this.artist = artist;
}


categories = new Object;


categories["Lima"]= new Array (
new Station( "CPN Radio 90.5 FM", "mms://www.cpnradio.pe:8080/", "http://www.cpnradio.pe", "http://www.cpnradio.pe/imagez/logo_cpnradio.png", "Lima" ),
new Station( "RPP 89.7 FM", "http://grupo-rpp-live-audio.wm.llnwd.net/grupo_rpp-live_audio", "http://www.rpp.com.pe", "http://www.rpp.com.pe/tmp/img/audio-player-pop-header.jpg", "Lima" ),
new Station( "Studio92 92.5 FM", "http://grupors.wm.llnwd.net/grupors_St92audioenvivo", "http://www.studio92.com", "http://www.studio92.com/studio_tmp/img/audio-player-pop-header.gif", "Lima" ),
new Station( "Oxigeno 102.1 FM", "http://grupo-oxigeno-live-audio.wm.llnwd.net/grupo_oxigeno-live_audio", "http://www.oxigeno.com.pe", "http://www.oxigeno.com.pe/oxigeno_tmp/img/oxi_logo_header01.gif", "Lima" ),
new Station( "Capital 96.7 FM", "http://grupo-capital-live-audio.wm.llnwd.net/grupo_capital-live-audio", "http://www.capital.com.pe", "http://www.capital.com.pe/capital_tmp/img/logo-gruporpp.gif", "Lima" ),
new Station( "Felicidad 88.9 FM", "http://grupo-felicidad-live-audio.wm.llnwd.net/grupo_felicidad-live_audio", "http://www.felicidad.com.pe", "http://www.felicidad.com.pe/felicidad_tmp/img/fel_logo_header01.jpg", "Lima" ),
new Station( "Corazon 96.7 FM", "http://grupors.wm.llnwd.net/grupors_corazon", "http://www.corazon967.com", "http://www.corazon967.com/ima/09.jpg", "Lima" ),
new Station( "Doble Nueve 99.1 FM", "http://radiodoblenueve.com:9900/listen.pls", "http://www.radiodoblenueve.com", "http://www.radiodoblenueve.com/images/3.gif", "Lima" ),
new Station( "Telestereo 88 FM", "http://www.telestereo.com/playlist.asx", "http://www.telestereo.com", "http://www.telestereo.com/imagenes/indexderechos.gif", "Lima" ),
new Station( "Secretos al corazón 93.1 FM", "http://69.162.85.101:7676/listen.pls", "http://www.secretosalcorazon.com", "http://www.radiosonlinefm.com/leads/fotos/655-secretosalcorazon.jpg", "Lima" ),
new Station( "Ritmo Romantica 93.1 FM", "mms://1.uni4.sa.streamaudio.com/TOM_FM", "http://www.ritmoromantica.com", "http://www.ritmoromantica.com/sites/all/themes/romantica/logo/ritmo_romantica_logo.gif", "Lima" ),
new Station( "Planeta 107.7 FM", "mms://1.uni4.sa.streamaudio.com/PLAN_IR", "http://www.planeta.com.pe", "http://www.planeta.com.pe/themes/planeta/files/planeta_logo.gif", "Lima" ),
new Station( "Moda 97.3 FM", "mms://1.uni4.sa.streamaudio.com/MODA_IR", "http://www.moda.com.pe", "http://www.moda.com.pe/sites/all/themes/moda/logo/moda_logo.gif", "Lima" ),
new Station( "La Union 103.3 FM", "http://67.212.166.178:9002/listen.pls", "http://www.unionlaradio.com", "http://radiotime-logos.s3.amazonaws.com/s86043.gif", "Lima" ),
new Station( "Panamericana 101.1 FM", "http://193.164.132.203:8200/listen.pls", "http://www.radiopanamericana.com", "http://www.radioguide.fm/images/panamericana_pe.gif", "Lima" ),
new Station( "San Borja 91.1 FM", "http://71.6.135.108:8000/listen.pls", "http://www.radiosanborja.com/", "http://www.radios.og.pe/radios-peru/images/radio-peru-sanborja.gif", "Lima" ),
new Station( "Callao 1400 KHZ AM", "http://stream.infomagia.com:8030/listen.pls", "http://www.radiocallao.com", "http://www.radiocallao.com/rcallao.jpg", "Lima" ),
new Station( "Miraflores 96.1 FM", "http://200.121.134.250:8000/listen.pls", "http://radiomiraflores.net", "http://radiomiraflores.net/images/index_17.jpg", "Lima" )
);

categories["Arequipa"]= new Array (
new Station( "Panorama 96.5 FM", "http://67.18.141.18:8004/listen.pls", "www.panoramaradio.net", "http://www.deperu.com/radios/logos/921.jpg", "Arequipa" ),
new Station( "Yaravi 106.3 FM", "http://193.41.7.38:8890/listen.pls", "http://www.radioyaravi.org.pe", "http://superstereo103.iespana.es/new%20logo.png", "Arequipa" ),
new Station( "Las Vegas 99.3 FM", "http://vegasmoll.zapto.org:300/listen.pls", "http://www.mollendovegas.com ", "http://www.deperu.com/radios/logos/37.jpg", "Arequipa" ),
new Station( "Super Stereo 105.5 FM", "http://200.60.37.50:8050/listen.pls", "http://superstereoarequipa.hi5.com", "http://www.deperu.com/radios/logos/584.jpg", "Arequipa" ),
new Station( "Melodia 104.3 FM", "http://200.60.37.50:8060/listen.pls", "http://www.radiomelodia.com.pe/portal", "http://radiotime-logos.s3.amazonaws.com/s65827.gif", "Arequipa" ),
new Station( "La Mega 94.3 FM", "http://grupors.wm.llnwd.net/grupors_radiolamega", "http://www.lamega.com.pe", "http://www.lamega.com.pe/lamega_tmp/img/s92_lg_gruporpp_white.gif", "Arequipa" )
);

categories["Tacna"]= new Array (
new Station( "UNO 93.7 FM", "http://72.249.76.161:8000/listen.pls", "http://www.radiouno.com.pe", "http://www.radios.og.pe/tacna/images/radio-uno-peru.jpg", "Tacna" ),
new Station( "Power 98.1 FM", "http://72.249.76.161:8040/listen.pls", "http://www.radiopower.com.pe", "http://radiotime-logos.s3.amazonaws.com/s13925s.gif", "Tacna" ),
new Station( "Super Stereo 103.5 FM", "http://69.64.58.112:9010/listen.pls", "http://radiosuperstereotacna.blogspot.com", "http://superstereo103.iespana.es/new%20logo.png", "Tacna" )
);

categories["Cusco"]= new Array (
new Station( "TV Color 98.1 FM", "http://rtvcolor.mine.nu:8000/listen.pls", "http://www.radiocolor.tk", "http://www.deperu.com/radios/logos/352.jpg", "Cusco" ),
new Station( "Willkamayu 940 AM", "http://radiowillkamayu.mine.nu:8000/listen.pls", "http://www.radiow.tk", "http://www.radios.og.pe/cuzco/images/logo-radio-intiraymi-cuzco.jpg", "Cusco" )
);

categories["Trujillo"]= new Array (
new Station( "Libertad Mundo 1160 Kcs AM", "http://radio.radiolibertad.com:8000/radio", "http://www.radiolibertadmundo.com/portal/", "http://www.adonde.com/peruhoy/images/logo_rad_libertad.gif", "Trujillo" ),
new Station( "La Grande 96.1 FM", "http://67.212.166.178:8056/listen.pls", "http://www.radiolagrande.net", "http://www.radiolagrande.net/images/Img6.jpg", "Trujillo" )
//new Station( "Bravaza 96 FM", "http://67.212.166.178:8058/listen.pls", "http://www.radio96bravaza.com/96/inicial.asp", "http://radiotime-logos.s3.amazonaws.com/s98637.gif", "Trujillo" )
);

categories["Ica"]= new Array (
new Station( "Sonica 92.1 FM", "http://67.159.45.136:7042/listen.pls", "http://radiosonica24horas.jimdo.com", "http://www.adonde.com/peruhoy/images/logo_rad_sonica_ic.gif", "Ica" )
);

function PeruRadios()
{
    Amarok.debug( "creating Peruvian radio service..." );
    ScriptableServiceScript.call( this, "Peruvian Radio Stations", 2, "Radios online de Perú", "Radios online de Perú", false );
    Amarok.debug( "done." );    
}

function onConfigure()
{
    Amarok.alert("No additional configuration needed for this script." );
}

function onPopulating( level, callbackData, filter )
{
    if ( level == 1 ) 
    {
        for( att in categories )
        {
         var cover = Amarok.Info.scriptPath() + "/" + "radio.png";
            Amarok.debug ("att: " + att + ", " + categories[att].name)
           
            item = Amarok.StreamItem;
	    item.level = 1;
	    item.callbackData = att;
	    item.itemName = att;
	    item.playableUrl = "";
	    item.infoHtml = "";
	    item.coverUrl = cover;
	    script.insertItem( item );

        }
        script.donePopulating();

    }
    else if ( level == 0 ) 
    {
        Amarok.debug( " Populating station level..." );
        var stationArray = categories[callbackData];

	for ( i = 0; i < stationArray.length; i++ )
	{
		item = Amarok.StreamItem;
		item.level = 0;
		item.callbackData = "";
		item.itemName = stationArray[i].name;
		item.playableUrl = stationArray[i].url;
		item.artist = stationArray[i].artist;
		item.infoHtml = "Radio: " + item.itemName + "<br />" + 
						" <img src='" + stationArray[i].logo + "'><br />" +
						" Web: <a href='" + stationArray[i].website + "'>" + stationArray[i].website + "</a>";
		item.coverUrl = stationArray[i].logo;
		script.insertItem( item );
	}
	script.donePopulating();
    }
}

function onCustomize() {
    var currentDir = Amarok.Info.scriptPath() + "/";
    var iconPixmap = new QPixmap(currentDir + "icon.png");
    script.setIcon(iconPixmap);
}

script = new PeruRadios();
script.populate.connect( onPopulating );
script.customize.connect( onCustomize );
